
<?php
  if (!empty($_GET['act'])) {

      $getplayerbans = "http://api.steampowered.com/ISteamUser/GetPlayerBans/v1/?key=E8D51260E5DF95AE8A6DA139D6C80288&steamids=";
      $getplayersummarie ="http://api.steampowered.com/ISteamUser/GetPlayerSummaries/v0002/?key=E8D51260E5DF95AE8A6DA139D6C80288&steamids=";
      $getplayergameinfocsgo ="http://api.steampowered.com/ISteamUserStats/GetUserStatsForGame/v0002/?appid=730&key=E8D51260E5DF95AE8A6DA139D6C80288&steamid=";

     $id = explode( "/", $_GET["url_input"]);


      $comburl_summarie = $getplayersummarie . end($id);
      $comburl_bans = $getplayerbans . end($id);
      $comburl_csinfo = $getplayergameinfocsgo . end($id);

      $summarie = file_get_contents($comburl_summarie);
      $temp_summarie = json_decode($summarie, true);

      $vaced = file_get_contents($comburl_bans);
      $temp_bans = json_decode($vaced, true);

      $playercsinfo = file_get_contents($comburl_csinfo);
      $temp_playercsinfo = json_decode($playercsinfo, true);


      $gameban_output = $temp_bans["players"][0]["NumberOfGameBans"];
      $vacban_output = $temp_bans["players"][0]["NumberOfVACBans"];

      $totalcstime = $temp_playercsinfo["playerstats"]["stats"][2]["value"];

      $personname = $temp_summarie["response"]["players"][0]["personaname"];
      /* avatr, avatarmedium, avatarfull */
      $avatarurl = $temp_summarie["response"]["players"][0]["avatar"];


      echo $personname . "hat "."Game-Bans: " .$gameban_output .":". "Vac-Bans: ". $vacban_output;

      echo "<img src=$avatarurl>";
      echo $totalcstime;

  }
?>


<form action="curl_testfile.php" method="get">
    <input type="hidden" name="act" value="run">
<input type="text" name="url_input"><br>
    <input type="submit" value="Check!">
    <input type="submit1" value="geht =">
</form>
<?php
?>
